# Role : docker_element


## Services fournis

Installation d'une instance element sur un serveur docker_host

## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_element_fqdn: element.libretic.fr
docker_element_data_dir: /data1
docker_element_service_id: monsite
docker_element_image_version: v1.11.2
docker_element_matrix_server_url: https://matrix.libretic.fr
docker_element_terms_link: https://libretic.fr/reglement-interieur
docker_element_terms_text: "Conditions d'utilisation et règlement intérieur"
```

| Option                            | Valeur par défaut | Description                                                                               |
|-----------------------------------|-------------------|-------------------------------------------------------------------------------------------|
| docker_element_fqdn               |                   | Nom de domaine, ou liste de noms de domaines, pour lequel le service element répond       |
| docker_element_data_dir           |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_element_service_id         |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |
| docker_element_image_version      |                   | Version de element et de l'image docker                                                   |
| docker_element_matrix_server_url  |                   | URL du serveur matrix                                                                     |
| docker_element_terms_link         |                   | URL de consultation des conditions générales                                              |
| docker_element_terms_text         |                   | Texte du lien vers les conditions générales                                               |





